component-section(datetimestart='2022-01-18T19:45', minutesneeded='105', istopmost='true')
  div(slot='title') Grafen
  p.bron
    a(href='#sec_6') Grafen
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-criterion(codes='["begrip-adt-graaf"]')
        | Je legt uit graaf (graph).
      component-criterion(codes='["ontwikkeling-datastructuur-graaf"]')
        | Je ontwikkelt een (on)gerichte (on)gewogen verbonden graaf.
      component-criterion(codes='["procedure-zoeken-breadth_first"]')
        | Je volgt de procedure voor het zoeken in een graaf op breadth-first-volgorde (BFS).
      component-criterion(codes='["procedure-zoeken-depth_first"]')
        | Je volgt de procedure voor het zoeken in een graaf op depth-first-volgorde (DFS).
      component-criterion(codes='["procedure-algoritme-graaf-kortstepad"]')
        | Je volgt de procedure van Dijkstra’s algoritme voor kortste paden.
      component-criterion(codes='["ontwikkeling-algoritme-graaf-kortstepad"]')
        | Je ontwikkelt Dijkstra’s kortstepadalgoritme.
  component-section(datetimestart='2022-01-18T19:45', minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2022-01-18T19:50', minutesneeded='10')
    div(slot='title') Procedure DFS
  component-section(datetimestart='2022-01-18T20:00', minutesneeded='10')
    div(slot='title') Procedure BFS
  component-section(datetimestart='2022-01-18T20:10', minutesneeded='5')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2022-01-18T20:15', minutesneeded='30')
    div(slot='title') Procedure Dijkstra’s kortstepadenalgoritme vanuit één punt
  component-section(datetimestart='2022-01-18T20:45', minutesneeded='35')
    div(slot='title') Implementatie van Dijkstra’s kortstepadenalgoritme vanuit één punt
    // TODO:
    p
      a(href='#') Voorbeeld in Rust
      | .
  component-section(datetimestart='2022-01-18T21:20', minutesneeded='10')
    div(slot='title') Afronding
